GCCAS(1)

NAME
gccas - optimizing LLVM assembler

SYNOPSIS
gccas [options] filename

DESCRIPTION
The gccas utility takes an LLVM assembly file generated by the llvmgcc or llvmg++ front-ends and converts it into an LLVM bytecode file. It is primarily used by the GCC front end, and as such, attempts to mimic the interface provided by the default system assembler so that it can act as a "drop-in" replacement.

gccas performs a number of optimizations on the input program, including but not limited to: promotion of stack values to SSA registers; elimination of dead globals, function arguments, code, and types; tail-call elimination; loop-invariant code motion; global common-subexpression elimination; and sparse conditional constant propagation.

OPTIONS

--help
    Print a summary of command line options.

-o filename
    Specify the name of the output file which will hold the assembled bytecode.

--disable-inlining
    Disable the inlining pass. By default, it is enabled.

--disable-opt
    Disable all assembler-time optimization passes.

--stats
    Print statistics.

--time-passes
    Record the amount of time needed for each pass and print it to standard error.

--verify
    Verify each pass result.

EXIT STATUS
If gccas succeeds, it will exit with an exit status of 0. Otherwise, if an error occurs, it will exit with a non-zero exit status.

SEE ALSO
llvm-as, gccld

AUTHORS
Maintained by the LLVM Team (<http://llvm.org>).